# IGESData_DefList.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | IGESData_DefList { IGESData_DefNone, IGESData_DefOne, IGESData_DefSeveral, IGESData_ErrorOne, IGESData_ErrorSeveral }

Some fields of an IGES entity may be
- Undefined
- Defined as a positive integer
- Defined as a reference to a specialized entity.
A typical example of this kind of variation is color.
This enumeration allows you to identify which of the above is the case.
The semantics of the terms are as follows:
- DefVoid indicates that the item contained in the field is undefined
- DefValue indicates that the item is defined as an immediate
positive integer value (i.e. not a pointer)
- DefReference indicates that the item is defined as an entity
- DefAny indicates the item could not be determined
- ErrorVal indicates that the item is defined as an integer
but its value is incorrect (it could be out of range, for example)
- ErrorRef indicates that the item is defined as an entity but
is not of the required type.
. More...

## Enumeration Type Documentation

enum IGESData_DefList

Enumeration values:

  IGESData_DefNone |
  IGESData_DefOne |
  IGESData_DefSeveral |
  IGESData_ErrorOne |
  IGESData_ErrorSeveral |